Mono/Moonlight Generic Type Argument Local Privilege Escalation Vulnerability

Bugtraq ID: 45051
Class: Design Error
CVE: CVE-2010-4254
Remote: No
Local: Yes
Published: Nov 25 2010 12:00AM
Updated: Jun 22 2012 12:20AM
Credit: Chris Howie
Vulnerable: SuSE SUSE Linux Enterprise 11 SP1
SuSE openSUSE 11.3
Red Hat Fedora 14
Mono Moonlight 0
Mono Mono 2.8.1
Mono Mono 2.8.1
Mono Mono 2.6.4
Mono Mono 2.4.2 .1
Mono Mono 2.4.2
Mono Mono 2.0
Mono Mono 2.8
Mono Mono 2.8
Mono Mono 2.4.3-2
Gentoo Linux
Not Vulnerable: Mono Moonlight 2.3 1
Mono Moonlight 3 preview 10


 

Privacy Statement
Copyright 2010, SecurityFocus